<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">
    <h:outputStylesheet library="css/extraction" name="#{css}" />
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.panels.dispChoiceStep" var="dispositifChoiceStep"/>
    <p:remoteCommand name="updateTreenodes" update="listLieu,#{p:component('parametersRequest')},messageWarningDispositifStep,nextStepButton" /> 
    <ui:param name="lieux" value="#{uiBean.uiDispositif.availablesLieux}" />	

    <h:panelGroup id="messageWarningDispositifStep">
        <p:accordionPanel activeIndex="-1" 
                          styleClass="help-panel">
            <p:tab >
                <f:facet name="title">
                    <h:panelGroup >
                        <p class="intro-main">
                            <h:outputText
                                value="#{uiBean.uiDispositif.dispositifStepIsValid?'':dispositifChoiceStep.PARAM_MSG_WARNING}"
                                styleClass="selectionEmpty" />
                        </p>
                    </h:panelGroup>
                </f:facet>
                <p class="intro-main">
                    <p class="intro-main">
                        <h:outputText
                            value="#{dispositifChoiceStep.PARAM_MSG_INTRO}"
                            styleClass="selectionEmpty" 
                            escape="false" />
                    </p>
                </p>
            </p:tab>
        </p:accordionPanel>
        <h:outputText
            value="#{dispositifChoiceStep.PARAM_MSG_NO_RESULT_FOR_SELECTION}"
            rendered="#{empty lieux}" styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper" layout="block">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},listLieu" styleClass="buttonStepNext" action="#{uiBean.uiDispositif.addAllDispositifs}"
                               oncomplete="updateTreenodes()" >
                    <h:graphicImage value="#{resource['images:add.png']}" />
                    <h:outputText value="#{dispositifChoiceStep.PARAM_MSG_ADD_ALL}" />
                </p:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},listLieu" styleClass="buttonStepNext"
                               action="#{uiBean.uiDispositif.removeAllDispositifs}"
                               oncomplete="updateTreenodes()" >
                    <h:graphicImage value="#{resource['images:remove_selection.png']}" />
                    <h:outputText value="#{dispositifChoiceStep.PARAM_MSG_DELETE_ALL}" />
                </p:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p:tree id="listLieu" var="node" styleClass="tree" value="#{lieux}" selectionMode="single" selection="#{uiBean.uiDispositif.selectedNode}"
            rendered="#{not empty lieux}" >
        <p:ajax event="select" listener="#{uiBean.uiDispositif.selectDispositif}" oncomplete="updateTreenodes()"/>
        <p:treeNode>
            <h:outputText value="#{node.name}" />
        </p:treeNode>
        <p:treeNode class="traitementLeaf" type="dispositif" >
            <h:outputText value="#{node.localizedAffichage}" />
            <h:graphicImage class="traitementCheck" name="images/check.png"  rendered="#{node.selected}"/>
        </p:treeNode>
    </p:tree>	
</html>